(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("e227bf61-cfb1-4cc4-9982-924ebe2b9d16");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'e227bf61-cfb1-4cc4-9982-924ebe2b9d16' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.2.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.2.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.2.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.2.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.2.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"6effb3fe-7f7f-4cf4-ab72-bc0c9a0d70e2":{"version":"3.2.2","title":"Bokeh Application","roots":[{"type":"object","name":"Figure","id":"p1001","attributes":{"x_range":{"type":"object","name":"DataRange1d","id":"p1002"},"y_range":{"type":"object","name":"DataRange1d","id":"p1003"},"x_scale":{"type":"object","name":"LinearScale","id":"p1010"},"y_scale":{"type":"object","name":"LinearScale","id":"p1011"},"title":{"type":"object","name":"Title","id":"p1008"},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1035","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1029","attributes":{"selected":{"type":"object","name":"Selection","id":"p1030","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1031"},"data":{"type":"map","entries":[["x0",[-247085.39,-248506.01,-246692.34,-248610.54,-246895.34,-246815.04,-248045.14,-246458.22,-246662.53,-246686.28,-247161.41,-247199.42,-246995.11,-247080.64,-247080.64,-247536.76,-247226.08,-246771.81,-246876.39,-246913.2,-247565.26,-247436.98,-247109.52,-247361.05,-246895.34,-247256.76,-247256.76,-247341.96,-247570.01,-247565.26,-247812.33,-247332.45,-247926.36,-247085.39,-247964.37,-247774.32,-248468.0,-248363.47,-247185.16,-248235.19,-247413.22,-248007.13,-247802.83,-247536.76,-248843.35,-247579.52,-247033.12,-247332.45,-247379.97,-249128.42,-247227.93,-249057.15,-248943.12,-248909.87,-248981.13,-248857.6,-249128.42,-248339.72,-249218.7,-247508.25,-247641.28,-248734.07,-248843.35,-249004.89,-247413.22,-247650.79,-246538.99,-247118.65,-247132.9,-246827.31,-249114.17,-247893.1,-247551.24,-247484.49,-247322.95,-247470.24,-247281.3,-248306.46,-247256.43,-247033.12,-247398.97,-247208.92,-246796.64,-246995.51,-247223.17,-248235.19,-247042.63,-247817.08,-248225.69,-247256.43,-248212.98,-247170.91,-247085.39,-248271.79,-247170.91,-248495.29,-248026.13,-246866.83,-247788.57,-247850.34,-246692.34,-248553.52,-247964.37,-247555.76,-247684.04,-247033.12,-247636.53,-247598.52,-248368.22,-248506.01,-248648.55,-246594.18,-246519.12,-247622.28,-246282.43,-245935.59,-245935.59,-247056.88,-247208.92,-247299.19,-247170.91,-247375.21,-247517.75,-246532.83,-248287.45,-246630.99,-249128.42,-248981.13,-247227.93,-247322.95,-247299.19,-247164.73,-247698.3,-247075.89,-247790.5,-246990.36,-247790.5,-247075.89,-246424.96,-247973.87,-247441.73,-247527.25,-246888.66,-246866.83,-246888.66,-247075.89,-246833.44,-246759.83,-246486.73,-246649.4,-247978.62,-247926.36,-247579.52,-248212.98,-248026.13,-247973.87,-247123.4,-246961.86,-247935.86,-247836.08,-247978.62,-246833.44,-246424.96,-247741.06,-246649.4,-247969.12,-247332.45,-246215.91,-245840.56,-246215.91,-247413.22,-246215.91,-246044.87,-246044.87,-246462.97,-247660.29,-246440.81,-246995.11,-246881.08,-246765.96,-246471.48,-246440.81,-247774.32,-246771.81,-246781.31,-246881.08,-246937.74,-246471.48,-246325.19,-246462.97,-246462.97,-247845.59,-246325.19,-247151.91,-247413.22,-246866.83,-246657.78,-246672.03,-246657.78,-246866.83,-247802.77,-246743.3,-246496.02,-247099.64,-247072.71,-246857.33,-246919.09,-246876.39,-247538.97,-247232.22,-247066.38,-247551.01,-246942.85,-247394.22,-247265.94,-247170.91,-247723.02,-247023.62,-247565.26,-247612.78,-247731.56,-247408.47,-246985.61,-246985.61,-247950.11,-247060.44,-246957.1,-246919.09,-247796.64,-247109.14,-248026.13,-248040.39,-247256.43,-248795.84,-246581.76,-247099.64,-247341.96,-247855.09,-246258.67,-247912.1,-246643.52,-246686.28,-246662.53,-247161.41,-246974.55,-247893.1,-247189.27,-247256.43,-247608.02,-246458.22,-247227.93,-247527.25,-246353.7,-247622.28,-247723.02,-247622.28,-247351.46,-247717.3,-246287.43,-246256.76,-247584.27,-248795.84,-246258.67,-248767.33,-248909.87,-247536.76,-247774.32,-247912.1,-247912.1,-247536.76,-247536.76,-246404.0,-245517.48,-245474.72,-248287.45,-248225.69,-247650.79,-247712.55,-247850.34,-245579.24,-247964.37,-245688.52,-245688.52,-245797.8,-245892.83,-245892.83,-245987.85,-245888.07,-245987.85,-246078.12,-246256.76,-247940.61,-246196.91,-246201.66,-246196.91,-246358.45,-246448.72,-246448.72,-248271.79,-246557.37,-246698.48,-246524.74,-246771.81,-246557.37,-246396.46,-248767.33,-246282.43,-246291.93,-246120.89,-245959.34,-245945.09,-246296.68,-247940.61,-247555.76,-246201.54,-247617.53,-247589.02,-247517.75,-247931.11,-247793.32,-247541.51,-247465.49,-247281.3,-247408.47,-247470.24,-246500.98,-247170.87,-247033.12,-247408.47,-247845.59,-247536.76,-247650.79,-247551.01,-247688.8,-247802.77,-247199.42,-247551.01,-247650.79,-247688.8,-247630.99,-247857.99,-247857.99,-247888.66,-246919.09,-247969.12,-247855.09,-247265.94,-247916.86,-247379.97,-246120.89,-249014.39,-247493.99,-248672.3,-249128.42,-248558.27,-246287.43,-247256.43,-247185.16,-247584.27,-248791.08,-246348.78,-246287.43,-246238.35,-246287.43,-246630.99,-246759.83,-246876.33,-246876.33,-246796.64,-246152.46,-245474.72,-246115.65,-246211.16,-246152.46,-246164.73,-246152.46,-246268.17,-246054.37,-245750.29,-246277.68,-245517.48,-246638.77,-246538.99,-245935.59,-245949.84,-245949.84,-245907.06,-245907.06,-246072.71,-247493.99,-248244.69,-247042.63,-248344.47,-248472.75,-248472.75,-248477.5,-248339.72,-248149.67,-248149.67,-246391.71,-247988.12,-248477.5,-248173.42,-247931.11,-248230.44,-248287.45,-247170.91,-247341.96,-247246.93,-246301.43,-247398.97,-247417.98,-247322.95,-247322.95,-247322.95,-247151.91,-247132.9,-247793.32,-247921.61,-247874.09,-248495.29,-248591.53,-248553.52,-248250.62,-247870.26,-247538.97,-247741.42,-248005.22,-248734.07,-246238.35,-247436.98,-247140.19]],["x1",[-247109.14,-248648.55,-246577.0,-248306.46,-246771.81,-246827.31,-248235.19,-246524.74,-246524.74,-246662.53,-247199.42,-247226.08,-246974.55,-246995.11,-246913.2,-247660.29,-247080.64,-246876.39,-246913.2,-247109.52,-247436.98,-247446.48,-247446.48,-247446.48,-246890.59,-247361.05,-247140.19,-247361.05,-247565.26,-247612.78,-247926.36,-247199.42,-248045.14,-247199.42,-247969.12,-247622.28,-248558.27,-248468.0,-247123.4,-248007.13,-247265.94,-247802.83,-247579.52,-247446.48,-248857.6,-247379.97,-246957.1,-247493.99,-247265.94,-249057.15,-247375.21,-248943.12,-248909.87,-248981.13,-248800.59,-249004.89,-249218.7,-248477.5,-249275.71,-247641.28,-247802.83,-248681.81,-248900.36,-249114.17,-247384.72,-247788.57,-246379.46,-247033.12,-247037.88,-246913.17,-249114.17,-247845.59,-247612.78,-247413.22,-247342.65,-247551.24,-247037.88,-248648.55,-247351.46,-247037.88,-247305.84,-247201.54,-246581.76,-246913.17,-247118.65,-248225.69,-247170.91,-247897.85,-248212.98,-247223.17,-248271.79,-247508.25,-247123.4,-248495.29,-246990.36,-248672.3,-248116.41,-246845.71,-247845.59,-247802.83,-247033.12,-248634.29,-248030.89,-247451.23,-247589.02,-247375.21,-247684.04,-247636.53,-248262.89,-248368.22,-248857.6,-246519.12,-246486.73,-247493.99,-246149.39,-245864.32,-246072.71,-247189.27,-247299.19,-247551.24,-247227.93,-247493.99,-247408.47,-246649.4,-248173.42,-246649.4,-249180.69,-249014.39,-247075.89,-247455.99,-247322.95,-247275.44,-247790.5,-246961.86,-247913.2,-247109.14,-247798.07,-246871.58,-246348.78,-247926.36,-247527.25,-247600.32,-246833.44,-246919.09,-246833.44,-246895.34,-246735.29,-246649.4,-246649.4,-246759.83,-248002.38,-248007.13,-247741.06,-248026.13,-247935.86,-248002.38,-247332.45,-246895.34,-247836.08,-247741.06,-248030.89,-246802.77,-246519.12,-247579.52,-246532.83,-247956.14,-247413.22,-246301.43,-246044.87,-246215.91,-247536.76,-246215.91,-246044.87,-246040.11,-246440.81,-247774.32,-246471.48,-247066.57,-246781.31,-246771.81,-246610.26,-246391.73,-247921.61,-246781.31,-246857.33,-246937.74,-247099.64,-246538.97,-246160.35,-246325.19,-246643.52,-247788.57,-246342.65,-247052.13,-247256.43,-246657.78,-246672.03,-246596.01,-246771.81,-246743.3,-247608.02,-246586.51,-246594.18,-247072.71,-247161.41,-246919.09,-246937.74,-246974.55,-247232.22,-247066.38,-246942.85,-247484.49,-247094.89,-247265.94,-247056.88,-247023.62,-247796.64,-247161.41,-247446.94,-247630.99,-247579.52,-247060.44,-247060.44,-246957.1,-248011.88,-247132.9,-246919.09,-246866.83,-247888.66,-247265.94,-247731.56,-248078.4,-247342.65,-248767.33,-246486.73,-247164.73,-247441.73,-247969.12,-246353.7,-247788.57,-246686.28,-246765.96,-246458.22,-247256.43,-247072.71,-247940.61,-247201.54,-247189.27,-247688.8,-246330.38,-247332.45,-247608.02,-246287.43,-247774.32,-247630.99,-247717.3,-247417.98,-247812.33,-246256.76,-246258.67,-247536.76,-248909.87,-246404.0,-248900.36,-249014.39,-247479.74,-247921.61,-247992.88,-248026.13,-247541.51,-247650.79,-246353.7,-245579.24,-245579.24,-248363.47,-248287.45,-247712.55,-247850.34,-247940.61,-245688.52,-247897.85,-245797.8,-245588.75,-245892.83,-246021.11,-245987.85,-245888.07,-245745.54,-246078.12,-246196.91,-246201.54,-247964.37,-246358.45,-246196.91,-246258.67,-246448.72,-246422.4,-246557.37,-248344.47,-246698.48,-246524.74,-246396.46,-246698.48,-246567.5,-246296.68,-248672.3,-246291.93,-246396.46,-245959.34,-245945.09,-246296.68,-246111.38,-247845.59,-247545.1,-246173.15,-247555.76,-247617.53,-247589.02,-247793.32,-247870.26,-247465.49,-247351.46,-247408.47,-247470.24,-247170.87,-246577.0,-247033.12,-247208.92,-247265.94,-247617.53,-247598.52,-247802.77,-247650.79,-247765.96,-247765.96,-247280.19,-247527.25,-247527.25,-247630.99,-247612.78,-247851.85,-247855.09,-247969.12,-246995.51,-248040.39,-247916.86,-247185.16,-247950.11,-247194.67,-246291.93,-249128.42,-247731.56,-248681.81,-249128.42,-248696.06,-246238.35,-247408.47,-247227.93,-247660.29,-248795.84,-246287.43,-246391.71,-246201.54,-246287.43,-246759.83,-246876.33,-246815.04,-246796.64,-246638.77,-246115.65,-245403.45,-246211.16,-246268.17,-246211.16,-246054.37,-246277.68,-246277.68,-245750.29,-245864.32,-246238.35,-245403.45,-246538.99,-246238.35,-245949.84,-246072.71,-245907.06,-246072.71,-245750.29,-246054.37,-247408.47,-248344.47,-246843.07,-248472.75,-248287.45,-248477.5,-248339.72,-248149.67,-248311.21,-247988.12,-246500.98,-248250.62,-248173.42,-247931.11,-248230.44,-248244.69,-248230.44,-247246.93,-247262.89,-247305.84,-246391.71,-247417.98,-247322.95,-247223.17,-247322.95,-247151.91,-247132.9,-247118.65,-247874.09,-248045.14,-247988.12,-248591.53,-248553.52,-248250.62,-247870.26,-247741.42,-247741.42,-248005.22,-248306.46,-248610.54,-246072.71,-247698.3,-246888.66]],["y0",[147575.27,149941.39,147821.47,149798.86,147556.27,149974.85,148007.64,150573.31,150506.79,150677.84,150858.38,150943.91,150801.37,150986.67,150986.67,147694.06,151054.6,150668.33,150753.99,150858.28,151152.96,151034.18,151079.14,151207.98,147556.27,151232.52,151232.52,151305.0,150863.14,150720.6,147993.38,147546.77,148017.14,147575.27,148976.89,147817.59,148706.07,148668.06,147641.79,148268.96,147627.54,148107.41,148088.41,147565.77,149613.56,148159.68,147850.85,147751.07,148131.17,149067.17,147803.33,149171.69,149247.71,149033.91,148934.13,149722.84,149067.17,149513.78,149029.16,148007.64,148045.65,149594.55,149613.56,149756.1,150126.69,149356.99,150083.93,148948.38,148843.86,149717.18,149808.36,149204.95,150367.49,150055.42,150226.47,150364.26,150502.45,149798.86,149157.44,150316.74,148611.05,150378.51,150257.06,149926.48,149005.4,148268.96,147988.63,148758.33,148468.51,149157.44,148750.19,147964.88,147575.27,148956.04,147964.88,148973.68,149290.47,148824.85,148853.36,149138.43,147821.47,149542.29,148976.89,148763.09,148981.64,147850.85,149143.19,149214.45,149946.15,149941.39,149912.89,149477.91,149644.17,147808.09,148739.33,149808.36,149808.36,150026.92,150378.51,150311.99,148630.05,147850.85,149086.17,149938.04,149361.74,150054.6,148934.13,148934.13,147803.33,150226.47,150311.99,150717.18,151076.94,147770.08,151122.09,148221.44,151122.09,147770.08,149665.82,148230.95,151243.24,151262.24,151109.82,148824.85,151109.82,147770.08,151115.95,149576.07,149817.86,149594.48,148382.99,148178.68,148159.68,148750.19,148644.3,148230.95,147698.81,147675.05,148487.51,148411.49,148382.99,151115.95,149665.82,148235.7,149729.45,148829.6,147546.77,147789.08,147793.83,147665.55,147627.54,147936.37,147793.83,147793.83,150782.36,147741.57,150864.42,150801.37,150616.07,150803.07,150925.77,150864.42,147817.59,150668.33,150511.54,150616.07,150539.26,150925.77,150806.12,150782.36,150782.36,149276.22,150806.12,148725.08,150126.69,149090.92,149109.93,149014.9,148791.59,149090.92,150140.49,149238.21,149416.56,150635.08,150784.66,150483.04,150364.26,150753.99,149631.29,149649.69,149722.84,149960.4,149566.05,149827.36,149903.38,149409.25,150717.18,149361.74,150720.6,150426.02,148554.03,148278.46,148482.76,148482.76,150497.29,148293.87,148767.84,148962.64,150778.53,148164.43,148644.3,150692.09,150050.67,149190.7,150316.74,150635.08,151305.0,150658.83,149437.76,149337.99,150768.11,150677.84,150506.79,149214.45,150686.5,149204.95,150152.76,150050.67,150250.23,150573.31,147570.52,150155.2,149570.8,147950.62,150717.18,147950.62,149033.91,147964.88,149729.45,149551.53,147651.29,149190.7,149437.76,149299.98,149033.91,147565.77,147884.11,149337.99,149337.99,149299.98,149299.98,149459.51,148444.75,148321.22,148587.29,148468.51,149356.99,149242.96,149138.43,148363.98,148976.89,148316.47,148316.47,148363.98,148397.24,148397.24,148511.27,148482.76,148511.27,148573.04,149551.53,149081.42,148539.78,148401.99,148539.78,148554.03,148587.29,148587.29,148956.04,148643.56,148643.56,148834.35,148824.85,148643.56,148948.38,149299.98,148739.33,148881.87,148877.12,148706.07,148905.62,148976.89,149081.42,148763.09,149661.96,148915.13,149057.66,149086.17,149437.76,149509.03,148881.87,148976.89,150502.45,150445.03,150364.26,147798.58,150477.91,150316.74,147708.31,148962.64,149299.98,150131.44,149960.4,150388.01,150140.49,150943.91,149960.4,150131.44,150388.01,150551.53,150551.53,150551.53,150796.93,150364.26,150777.61,150658.83,147622.79,150582.81,148131.17,148877.12,149090.92,148416.24,149242.96,148934.13,148729.83,149888.96,149157.44,147641.79,147651.29,149048.16,149809.2,149888.96,149778.53,149729.45,150054.6,150011.66,150098.19,150098.19,150257.06,150250.92,148321.22,150361.35,150440.28,150250.92,149312.27,150250.92,150373.76,149418.76,149485.27,150259.73,148444.75,150207.46,150083.93,149808.36,149699.08,149699.08,149600.61,149600.61,149563.8,148416.24,149157.44,147988.63,149247.71,149314.23,149314.23,149399.75,149513.78,149547.04,149547.04,147798.58,149547.04,149399.75,149447.26,149437.76,149309.48,149361.74,148630.05,151305.0,148653.81,147793.83,148611.05,148896.12,148853.36,148853.36,148739.33,148725.08,148843.86,149509.03,147893.61,149551.79,148973.68,149366.49,149542.29,149698.77,149649.69,149631.29,149704.91,149796.93,149594.55,150097.55,151034.18,151214.11]],["y1",[147432.74,149912.89,147812.84,149798.86,147513.51,149717.18,148268.96,150682.59,150682.59,150506.79,150943.91,151054.6,150686.5,150801.37,150858.28,147741.57,150986.67,150753.99,150858.28,151079.14,151034.18,151143.46,151143.46,151143.46,147432.74,151207.98,151214.11,151207.98,150720.6,150639.83,148017.14,147485.0,148007.64,147485.0,148829.6,147808.09,148729.83,148706.07,147698.81,148107.41,147622.79,148088.41,148159.68,147561.02,149722.84,148131.17,147926.87,147793.83,148064.65,149171.69,147850.85,149247.71,149033.91,148934.13,148900.87,149756.1,149029.16,149499.53,148929.38,148045.65,148088.41,149471.02,149390.25,149808.36,150017.41,149366.49,150201.84,149124.18,148853.36,149873.54,149950.9,149276.22,150426.02,150126.69,150152.76,150367.49,150516.3,149912.89,149033.91,150516.3,148569.94,150269.33,150316.74,149873.54,148948.38,148468.51,147964.88,148858.11,148750.19,149005.4,148956.04,148007.64,147698.81,148973.68,148221.44,149242.96,149228.71,148674.23,148962.64,149048.16,147850.85,149613.56,148896.12,148767.84,149057.66,147850.85,148981.64,149143.19,150005.52,149946.15,149722.84,149644.17,149817.86,147793.83,148739.33,149732.34,149827.61,150152.76,150311.99,150367.49,148530.27,147793.83,149124.18,149876.69,149447.26,149876.69,148843.86,149090.92,147770.08,150273.98,150226.47,150663.58,151122.09,147675.05,151048.47,148164.43,151015.18,147675.05,149809.2,148178.68,151262.24,151293.87,150987.12,148962.64,151115.95,147770.08,151097.55,149729.45,149594.48,149576.07,148297.46,148107.41,148235.7,148644.3,148487.51,148297.46,147751.07,147556.27,148411.49,148235.7,148449.5,151183.44,149644.17,148363.98,149938.04,148717.18,147627.54,147793.83,147793.83,147789.08,147694.06,147789.08,147936.37,147665.55,150864.42,147817.59,150925.77,150876.69,150511.54,150668.33,150920.15,150956.44,147893.61,150511.54,150483.04,150539.26,150635.08,151036.2,150738.12,150806.12,150768.11,149366.49,150698.77,148710.82,150050.67,149109.93,149014.9,148948.38,148824.85,149238.21,150250.23,149204.95,149477.91,150784.66,150858.38,150364.26,150539.26,150686.5,149649.69,149722.84,149566.05,150055.42,149613.56,149903.38,150026.92,149361.74,150778.53,149214.45,150674.23,150551.53,148363.98,148293.87,148293.87,148767.84,150435.52,148463.76,148962.64,149090.92,150796.93,148064.65,148554.03,150616.07,150152.76,149299.98,150240.72,150717.18,151243.24,150777.61,149570.8,149366.49,150677.84,150803.07,150573.31,149157.44,150784.66,149081.42,150269.33,150152.76,150388.01,150600.61,147546.77,150250.23,149729.45,147884.11,150551.53,147964.88,148896.12,147993.38,149551.53,149437.76,147565.77,149033.91,149459.51,149390.25,149090.92,147461.24,147893.61,149195.45,149290.47,149418.76,149356.99,149570.8,148363.98,148363.98,148668.06,148587.29,149242.96,149138.43,149081.42,148316.47,148858.11,148363.98,148202.44,148397.24,148354.48,148511.27,148482.76,148459.01,148573.04,148539.78,149661.96,148976.89,148554.03,148539.78,148644.3,148587.29,148459.51,148643.56,149247.71,148643.56,148834.35,148948.38,148643.56,148516.02,148976.89,149242.96,148881.87,148748.83,148706.07,148905.62,148976.89,149062.41,148962.64,148625.15,149604.06,148763.09,148915.13,149057.66,149509.03,149649.69,148976.89,149033.91,150445.03,150364.26,150477.91,147812.84,150316.74,150378.51,147622.79,148915.13,149214.45,150140.49,150131.44,150269.33,150269.33,150967.66,150155.2,150155.2,150551.53,150639.83,150447.24,150658.83,150777.61,149926.48,150692.09,150582.81,147641.79,150497.29,148226.19,148881.87,148934.13,148554.03,149471.02,149067.17,148672.81,149778.53,149124.18,147570.52,147741.57,149190.7,149888.96,149974.65,149661.96,149888.96,150011.66,150098.19,149974.85,150257.06,150207.46,150361.35,148430.5,150440.28,150373.76,150440.28,149418.76,150259.73,150259.73,149485.27,149732.34,150097.55,148430.5,150083.93,150097.55,149699.08,149563.8,149600.61,149563.8,149485.27,149418.76,148278.46,149247.71,148050.4,149314.23,149361.74,149399.75,149513.78,149547.04,149594.55,149547.04,147798.58,149698.77,149447.26,149437.76,149309.48,149157.44,149309.48,148653.81,151306.14,148569.94,147798.58,148896.12,148853.36,149005.4,148739.33,148725.08,148843.86,148948.38,149551.79,148007.64,149547.04,149366.49,149542.29,149698.77,149649.69,149704.91,149704.91,149796.93,149798.86,149798.86,149827.61,151076.94,151109.82]],["line_color",["#8579ff","#807fff","#8579ff","#8e71ff","#837bff","#6996ff","#59a5ff","#837cff","#8679ff","#8a75ff","#8a75ff","#8877ff","#827dff","#837cff","#8579ff","#7e81ff","#8778ff","#9c62ff","#9966ff","#9966ff","#827dff","#7c83ff","#9768ff","#7887ff","#837bff","#7d82ff","#8976ff","#7f80ff","#aa55ff","#aa55ff","#837cff","#837bff","#827dff","#837bff","#8579ff","#9d61ff","#837bff","#8679ff","#817eff","#926dff","#8579ff","#8a75ff","#8679ff","#837bff","#07f8ff","#8a75ff","#837bff","#7b83ff","#8877ff","#827dff","#7b83ff","#827dff","#817eff","#8579ff","#837bff","#03fcff","#8679ff","#837bff","#8579ff","#817eff","#817eff","#7788ff","#ff00ff","#01feff","#8579ff","#8c72ff","#8976ff","#7985ff","#8579ff","#6996ff","#00ffff","#7f80ff","#748bff","#8679ff","#8579ff","#7f80ff","#827dff","#837bff","#8877ff","#8679ff","#8976ff","#8679ff","#8679ff","#9e61ff","#837cff","#49b5ff","#817eff","#827dff","#45baff","#8877ff","#36c9ff","#817eff","#807fff","#32cdff","#827dff","#23dcff","#8579ff","#837cff","#827dff","#837bff","#817eff","#8579ff","#8579ff","#837bff","#8679ff","#7f80ff","#8679ff","#8778ff","#8579ff","#8679ff","#807fff","#837cff","#837cff","#9c62ff","#837bff","#8877ff","#7985ff","#827dff","#7d82ff","#7986ff","#8579ff","#758aff","#8d71ff","#837cff","#837cff","#837cff","#837cff","#837cff","#8c72ff","#837bff","#8679ff","#837bff","#8877ff","#8778ff","#8579ff","#807fff","#8579ff","#8579ff","#837cff","#7d82ff","#8579ff","#837bff","#837bff","#837cff","#8778ff","#8579ff","#837bff","#837cff","#837cff","#837cff","#807fff","#7b83ff","#7f80ff","#916eff","#8d71ff","#8877ff","#7d82ff","#8778ff","#8c72ff","#8b74ff","#8579ff","#837bff","#837cff","#8679ff","#837cff","#8579ff","#817eff","#837cff","#837cff","#837cff","#7e81ff","#837cff","#837cff","#837cff","#8877ff","#7985ff","#8679ff","#837bff","#7c83ff","#ca35ff","#837bff","#8679ff","#609fff","#b24dff","#a956ff","#8976ff","#906fff","#837bff","#2ad5ff","#2cd2ff","#d529ff","#7e81ff","#8579ff","#837bff","#837bff","#837cff","#837cff","#837cff","#837cff","#837cff","#8579ff","#837cff","#837cff","#8d71ff","#8a75ff","#a758ff","#8b74ff","#837bff","#837cff","#837cff","#837cff","#8778ff","#837cff","#837cff","#837cff","#837cff","#8c72ff","#837cff","#837bff","#718dff","#817eff","#8579ff","#837cff","#837cff","#837bff","#837cff","#837cff","#837cff","#8b74ff","#7f80ff","#8679ff","#8579ff","#827dff","#7887ff","#837bff","#8679ff","#8679ff","#7f80ff","#837cff","#817eff","#d32bff","#cc32ff","#8679ff","#837cff","#827dff","#8778ff","#817eff","#837cff","#807fff","#8579ff","#837cff","#7f80ff","#837cff","#807fff","#7986ff","#8579ff","#8579ff","#8579ff","#837cff","#837cff","#8679ff","#8e71ff","#837cff","#09f6ff","#8877ff","#837bff","#807fff","#837bff","#8579ff","#5fa0ff","#a35cff","#837cff","#827dff","#827dff","#8778ff","#8877ff","#9966ff","#9966ff","#9867ff","#807fff","#8679ff","#7d82ff","#8579ff","#7c83ff","#837bff","#7985ff","#837bff","#837bff","#7986ff","#7887ff","#837cff","#8c72ff","#758aff","#837cff","#8579ff","#758aff","#6897ff","#8f70ff","#8579ff","#8c72ff","#8c72ff","#8a75ff","#837cff","#8579ff","#8a75ff","#f20dff","#817eff","#837bff","#7f80ff","#7e81ff","#7e81ff","#837bff","#926dff","#8579ff","#837cff","#8679ff","#7b83ff","#7986ff","#7f80ff","#7e81ff","#837cff","#817eff","#837bff","#827dff","#8579ff","#827dff","#837bff","#7f80ff","#837cff","#8f70ff","#8778ff","#817eff","#817eff","#8877ff","#7f80ff","#8579ff","#817eff","#827dff","#7b83ff","#5fa0ff","#837bff","#827dff","#8b74ff","#9f60ff","#8579ff","#8579ff","#837bff","#837bff","#837bff","#8778ff","#8778ff","#7f80ff","#916eff","#8679ff","#837bff","#837bff","#7985ff","#837bff","#817eff","#837cff","#837cff","#837cff","#837bff","#837bff","#837cff","#837cff","#6996ff","#9e61ff","#9a65ff","#837bff","#837cff","#837bff","#837cff","#837bff","#837cff","#807fff","#837cff","#827dff","#807fff","#7f80ff","#837bff","#9966ff","#936cff","#8778ff","#837bff","#8579ff","#837cff","#837cff","#837bff","#8679ff","#837cff","#8579ff","#8579ff","#837bff","#837cff","#837cff","#817eff","#837cff","#807fff","#827dff","#7e81ff","#837cff","#827dff","#8679ff","#837bff","#837cff","#817eff","#8579ff","#7f80ff","#837cff","#7e81ff","#7e81ff","#7f80ff","#827dff","#817eff","#7f80ff","#7c83ff","#837bff","#5ca3ff","#827dff","#916eff","#8f70ff","#8c72ff","#8679ff","#7f80ff","#827dff","#7d82ff","#7b83ff","#8e71ff","#8d71ff","#8976ff","#8877ff"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1036","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1037"}}},"glyph":{"type":"object","name":"Segment","id":"p1032","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_width":{"type":"value","value":2.0}}},"nonselection_glyph":{"type":"object","name":"Segment","id":"p1033","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"line_width":{"type":"value","value":2.0}}},"muted_glyph":{"type":"object","name":"Segment","id":"p1034","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"line_width":{"type":"value","value":2.0}}}}},{"type":"object","name":"GlyphRenderer","id":"p1044","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1038","attributes":{"selected":{"type":"object","name":"Selection","id":"p1039","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1040"},"data":{"type":"map","entries":[["x0",[-247132.9]],["x1",[-246957.1]],["y0",[148463.76]],["y1",[148767.84]],["line_color",["#837cff"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1045","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1046"}}},"glyph":{"type":"object","name":"Segment","id":"p1041","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_width":{"type":"value","value":2.0}}},"nonselection_glyph":{"type":"object","name":"Segment","id":"p1042","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"line_width":{"type":"value","value":2.0}}},"muted_glyph":{"type":"object","name":"Segment","id":"p1043","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"line_width":{"type":"value","value":2.0}}}}},{"type":"object","name":"GlyphRenderer","id":"p1053","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1047","attributes":{"selected":{"type":"object","name":"Selection","id":"p1048","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1049"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"AAAAACgoDsE="},"shape":[1],"dtype":"float64","order":"little"}],["y",{"type":"ndarray","array":{"type":"bytes","data":"ZmZmZj4kAkE="},"shape":[1],"dtype":"float64","order":"little"}],["line_color",["#837cff"]],["hatch_color",["#837cff"]],["fill_color",["#837cff"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1054","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1055"}}},"glyph":{"type":"object","name":"Scatter","id":"p1050","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"fill_color":{"type":"field","field":"fill_color"},"hatch_color":{"type":"field","field":"hatch_color"},"marker":{"type":"value","value":"triangle"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p1051","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"triangle"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p1052","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"triangle"}}}}},{"type":"object","name":"GlyphRenderer","id":"p1062","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1056","attributes":{"selected":{"type":"object","name":"Selection","id":"p1057","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1058"},"data":{"type":"map","entries":[["x0",[-246044.87,-246044.87,-246040.11,-246596.01,-246672.03,-246743.3,-246586.51,-247232.22,-247066.38,-246942.85,-247094.89]],["x1",[-246215.91,-246215.91,-246215.91,-246657.78,-246771.81,-246594.18,-246496.02,-247394.22,-247265.94,-247023.62,-247170.91]],["y0",[147936.37,147793.83,147665.55,148948.38,149014.9,149238.21,149204.95,149649.69,149722.84,149566.05,149613.56]],["y1",[147936.37,147789.08,147665.55,148791.59,148824.85,149477.91,149416.56,149827.36,149903.38,149361.74,149409.25]],["line_color",["#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1063","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1064"}}},"glyph":{"type":"object","name":"Segment","id":"p1059","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_width":{"type":"value","value":2.0}}},"nonselection_glyph":{"type":"object","name":"Segment","id":"p1060","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"line_width":{"type":"value","value":2.0}}},"muted_glyph":{"type":"object","name":"Segment","id":"p1061","attributes":{"x0":{"type":"field","field":"x0"},"y0":{"type":"field","field":"y0"},"x1":{"type":"field","field":"x1"},"y1":{"type":"field","field":"y1"},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"line_width":{"type":"value","value":2.0}}}}},{"type":"object","name":"GlyphRenderer","id":"p1071","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1065","attributes":{"selected":{"type":"object","name":"Selection","id":"p1066","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1067"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"7FG4HpMLDsHsUbgekwsOwUjhehSACw7BkML1KBcbDsHC9ShcDx4OwbgehetlHA7B7FG4HmoYDsEpXI/CiTAOwXsUrkfxKw7BFK5H4TkmDsE0MzMz5yoOwQ=="},"shape":[11],"dtype":"float64","order":"little"}],["y",{"type":"ndarray","array":{"type":"bytes","data":"XI/C9QIPAkE9CtejewoCQWZmZmaMBgJBFK5H4S8sAkEAAAAAvy0CQa5H4XpwOwJBpHA9CvY5AkEzMzMzVEcCQRSuR+GoSQJBj8L1KL8+AkHXo3A9O0ACQQ=="},"shape":[11],"dtype":"float64","order":"little"}],["line_color",["#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff"]],["hatch_color",["#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff"]],["fill_color",["#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff","#837cff"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1072","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1073"}}},"glyph":{"type":"object","name":"Scatter","id":"p1068","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"fill_color":{"type":"field","field":"fill_color"},"hatch_color":{"type":"field","field":"hatch_color"},"marker":{"type":"value","value":"inverted_triangle"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p1069","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"inverted_triangle"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p1070","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"inverted_triangle"}}}}},{"type":"object","name":"GlyphRenderer","id":"p1080","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1074","attributes":{"selected":{"type":"object","name":"Selection","id":"p1075","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1076"},"data":{"type":"map","entries":[["x",[-246643.52,-248212.98,-247493.99,-246594.18,-246486.73,-247408.47,-246985.61,-246866.83,-247788.57,-247845.59,-247850.34,-247802.83,-248553.52,-248634.29,-248943.12,-247964.37,-248030.89,-248791.08,-248900.36,-248672.3,-248495.29,-248681.81,-248767.33,-247413.22,-247921.61,-246919.09,-247060.44,-246957.1,-247793.32,-247988.12,-247874.09,-246759.83,-246649.4,-247870.26,-246649.4,-247931.11,-247978.62,-248002.38,-247617.53,-247555.76,-247451.23,-247545.1,-248271.79,-247684.04,-246843.07,-247589.02,-247517.75,-247384.72,-247650.79,-249057.15,-249218.7,-247845.59,-247788.57,-247612.78,-247723.02,-247446.48,-247802.77,-247140.19,-247608.02,-247527.25,-247688.8,-247551.01,-247379.97,-247194.67,-247802.83,-247579.52,-247741.06,-247935.86,-248007.13,-247973.87,-248026.13,-246120.89,-248030.89,-247636.53,-247598.52,-247538.97,-248368.22,-248262.89,-248506.01,-248648.55,-248857.6,-247037.88,-247132.9,-246827.31,-246913.17,-247281.3,-247408.47,-247698.3,-247109.52,-247199.42,-247280.19,-247484.49,-246919.09,-246995.51,-247650.79,-247565.26,-247446.94,-247612.78,-247630.99,-247855.09,-247950.11,-246291.93,-246519.12,-248244.69,-248610.54,-246282.43,-246149.39,-246396.46,-247151.91,-247322.95,-247455.99,-247322.95,-247342.65,-247470.24,-247551.24,-247037.88,-247170.87,-247033.12,-247208.92,-248363.47,-248558.27,-248011.88,-248696.06,-247888.66,-248040.39,-247796.64,-248078.4,-247851.85,-247969.12,-247912.1,-246111.38,-247417.98,-247223.17,-247351.46,-247541.51,-247305.84,-247246.93,-247170.91,-247299.19,-246796.64,-246486.73,-247436.98,-247565.26,-246638.77,-246391.71,-246500.98,-247893.1,-246301.43,-247940.61,-247189.27,-247201.54,-246692.34,-247256.43,-247056.88,-247341.96,-247227.93,-247398.97,-247408.47,-246532.83,-246649.4,-248230.44,-248344.47,-247256.43,-248477.5,-248287.45,-246577.0,-246961.86,-246771.81,-247227.93,-246871.58,-247262.89,-246895.34,-246895.34,-246890.59,-245797.8,-247774.32,-247622.28,-247717.3,-248468.0,-247099.64,-247164.73,-247361.05,-247441.73,-247161.41,-246937.74,-248173.42,-246630.99,-249128.42,-249180.69,-248981.13,-249014.39,-249128.42,-248800.59,-247660.29,-249275.71,-247332.45,-247199.42,-247332.45,-247109.14,-247085.39,-247622.28,-247774.32,-246686.28,-246995.11,-247066.57,-246974.55,-247080.64,-247322.95,-248795.84,-247118.65,-247161.41,-246876.33,-247227.93,-247123.4,-248287.45,-247408.47,-248225.69,-247413.22,-247265.94,-247536.76,-247446.48,-246876.39,-247072.71,-246913.2,-247226.08,-246771.81,-246881.08,-246781.31,-246765.96,-246857.33,-246610.26,-246471.48,-246440.81,-246391.73,-246462.97,-246538.97,-246173.15,-246325.19,-246287.43,-246348.78,-246201.54,-248026.13,-246424.96,-248116.41,-248235.19,-247536.76,-247712.55,-247479.74,-247897.85,-247033.12,-246957.1,-247817.08,-247493.99,-247584.27,-247375.21,-248005.22,-248311.21,-248149.67,-248250.62,-247741.42,-248591.53,-248734.07,-248306.46,-248472.75,-248339.72,-248477.5,-248843.35,-247926.36,-247812.33,-248045.14,-247075.89,-247536.76,-247265.94,-247508.25,-247641.28,-247042.63,-247170.91,-246990.36,-247109.14,-247926.36,-247836.08,-247579.52,-247731.56,-247132.9,-246353.7,-246258.67,-246287.43,-246256.76,-246404.0,-246238.35,-246391.71,-246815.04,-246759.83,-246115.65,-246152.46,-246211.16,-246054.37,-245864.32,-246268.17,-246277.68,-245750.29,-246072.71,-245949.84,-246238.35,-245935.59,-246538.99,-245907.06,-249004.89,-249114.17,-248909.87,-245474.72,-245517.48,-245579.24,-245688.52,-245588.75,-245892.83,-246021.11,-245987.85,-245888.07,-245745.54,-246078.12,-246196.91,-246358.45,-246201.66,-246258.67,-246448.72,-246557.37,-246698.48,-246524.74,-246396.46,-246771.81,-246567.5,-246296.68,-245959.34,-245945.09,-247465.49,-247916.86,-247857.99,-247992.88,-246662.53,-246458.22,-246524.74,-246330.38,-247256.76,-247185.16,-245403.45,-247765.96,-247052.13,-246164.73,-246072.71,-246581.76,-246379.46,-247275.44,-247798.07,-247790.5,-247913.2,-247527.25,-246802.77,-247600.32,-246888.66,-246833.44,-246833.44,-246735.29,-247956.14,-247969.12,-246342.65,-246215.91,-246215.91,-246215.91,-246040.11,-246044.87,-246044.87,-246866.83,-246657.78,-246743.3,-246586.51,-246496.02,-246657.78,-246596.01,-246672.03,-247232.22,-247066.38,-247394.22,-247265.94,-246942.85,-247094.89,-247023.62,-247170.91]],["y",[150768.11,148750.19,148416.24,149477.91,149817.86,148278.46,148482.76,148824.85,148853.36,148962.64,149138.43,149048.16,149542.29,149613.56,149247.71,148976.89,148896.12,149048.16,149390.25,149242.96,148973.68,149471.02,149299.98,150126.69,147893.61,148962.64,148293.87,148767.84,149509.03,149547.04,149551.79,149576.07,149729.45,149649.69,149594.48,149437.76,148382.99,148297.46,148915.13,148763.09,148767.84,148625.15,148956.04,148981.64,148050.4,149057.66,149086.17,150017.41,149356.99,149171.69,149029.16,149276.22,149366.49,150639.83,150717.18,151143.46,150140.49,151214.11,150250.23,150155.2,150388.01,149960.4,148131.17,148226.19,148088.41,148159.68,148235.7,148487.51,148107.41,148230.95,148644.3,148877.12,148449.5,149143.19,149214.45,149631.29,149946.15,150005.52,149941.39,149912.89,149722.84,148853.36,148843.86,149717.18,149873.54,150502.45,150445.03,151076.94,151079.14,150943.91,150967.66,150055.42,150364.26,149926.48,150131.44,150720.6,150674.23,150426.02,150551.53,150658.83,150497.29,148881.87,149644.17,149157.44,149798.86,148739.33,148739.33,148748.83,148725.08,148853.36,150273.98,150226.47,150152.76,150364.26,150367.49,150516.3,150477.91,150316.74,150378.51,148668.06,148729.83,150435.52,148672.81,150796.93,150692.09,150778.53,150616.07,150447.24,150777.61,149337.99,149062.41,148896.12,149005.4,149033.91,148881.87,148569.94,148653.81,148630.05,150311.99,150257.06,150240.72,151034.18,151152.96,150207.46,147798.58,147798.58,149204.95,147793.83,149081.42,150152.76,150269.33,147821.47,150050.67,150026.92,151305.0,148530.27,148611.05,149124.18,149938.04,149876.69,149309.48,149247.71,149157.44,149399.75,149361.74,147812.84,147675.05,147513.51,147803.33,147675.05,151306.14,147770.08,147556.27,147432.74,148363.98,147884.11,147950.62,147964.88,148706.07,150635.08,150717.18,151207.98,151243.24,150858.38,150539.26,149447.26,150054.6,148934.13,148843.86,148934.13,149090.92,149067.17,148900.87,147741.57,148929.38,147546.77,147485.0,147751.07,147432.74,147575.27,147808.09,147817.59,150677.84,150801.37,150876.69,150686.5,150986.67,148739.33,149190.7,148948.38,149214.45,150098.19,147570.52,147698.81,148587.29,147708.31,148468.51,147627.54,147622.79,147565.77,147561.02,150753.99,150784.66,150858.28,151054.6,150668.33,150616.07,150511.54,150803.07,150483.04,150920.15,150925.77,150864.42,150956.44,150782.36,151036.2,149604.06,150806.12,149888.96,149809.2,149661.96,149290.47,149665.82,149228.71,148268.96,149299.98,149242.96,147461.24,148858.11,147850.85,147926.87,148758.33,147793.83,147651.29,147850.85,149796.93,149594.55,149547.04,149698.77,149704.91,149366.49,149594.55,149798.86,149314.23,149513.78,149499.53,149613.56,148017.14,147993.38,148007.64,147770.08,147694.06,148064.65,148007.64,148045.65,147988.63,147964.88,148221.44,148164.43,148178.68,148411.49,148363.98,148554.03,148463.76,149570.8,149437.76,149729.45,149551.53,149459.51,149778.53,149974.65,149974.85,150011.66,150361.35,150250.92,150440.28,149418.76,149732.34,150373.76,150259.73,149485.27,149563.8,149699.08,150097.55,149808.36,150083.93,149600.61,149756.1,149808.36,149033.91,148321.22,148444.75,148363.98,148316.47,148202.44,148397.24,148354.48,148511.27,148482.76,148459.01,148573.04,148539.78,148554.03,148401.99,148644.3,148587.29,148643.56,148643.56,148834.35,148948.38,148824.85,148516.02,148976.89,148706.07,148905.62,148976.89,150582.81,150551.53,149195.45,150506.79,150573.31,150682.59,150600.61,151232.52,147641.79,148430.5,150269.33,148710.82,149312.27,149827.61,150316.74,150201.84,150663.58,151015.18,151122.09,151048.47,151262.24,151183.44,151293.87,151109.82,150987.12,151115.95,151097.55,148717.18,148829.6,150698.77,147789.08,147936.37,147665.55,147665.55,147793.83,147936.37,149090.92,149109.93,149238.21,149204.95,149416.56,148791.59,148948.38,149014.9,149649.69,149722.84,149827.36,149903.38,149566.05,149613.56,149361.74,149409.25]],["line_color",["#32628d","#45bf6f","#277e8e","#3dbb74","#d2e11b","#2a778e","#30678d","#345f8d","#1e9a89","#20908c","#2c718e","#2b738e","#2cb17d","#29af7f","#33b679","#1f968b","#3dbb74","#53c567","#3dbb74","#4dc26b","#49c16d","#3ebc73","#4fc369","#21a784","#29af7f","#33608d","#2a778e","#32638d","#1e9f88","#2eb27c","#2ab07e","#40bd72","#23a883","#1e9f88","#32b57a","#218e8c","#1e9c89","#21a784","#22a784","#27ad80","#20a585","#2eb27c","#4dc26b","#1ea087","#27ad80","#24aa82","#27ad80","#365b8c","#365b8c","#32b57a","#3bba75","#30678d","#38578c","#3b518a","#355d8c","#26818e","#2a778e","#39b976","#2b748e","#1f958b","#2f698d","#1e998a","#20908c","#208f8c","#21a784","#1e9e88","#20918c","#27ad80","#30b47a","#1e998a","#3ebc73","#28ae7f","#1e988a","#228a8d","#23898d","#31648d","#1f958b","#228b8d","#1e978a","#1e9a89","#1ea087","#32638d","#2f698d","#20a585","#42be71","#1f958b","#2e6d8e","#67cc5c","#287a8e","#1fa187","#28ae7f","#1e9f88","#1f948b","#2ab07e","#1f928c","#365a8c","#365a8c","#2b738e","#365b8c","#2c708e","#2a768e","#2ab07e","#2cb17d","#228b8d","#2eb27c","#2ab07e","#3dbb74","#2bb17d","#277d8e","#44be70","#2a778e","#24848d","#20918c","#2a778e","#2a758e","#1e9d88","#1e998a","#1ea087","#26ac81","#59c764","#55c666","#29798e","#62ca5f","#31668d","#2e6b8e","#355d8c","#2e6b8e","#29798e","#30688d","#24868d","#a5da35","#88d547","#20a485","#9dd93a","#bade27","#6bcd59","#8dd644","#afdc2e","#267f8e","#1fa187","#228a8d","#1e9c89","#1e9d88","#3c4e8a","#31658d","#32638d","#2f6a8d","#424085","#25838d","#3dbb74","#38b976","#2a768e","#25ab81","#42be71","#27ad80","#95d73f","#7cd24f","#28ae7f","#23a982","#3dbb74","#228a8d","#2eb27c","#2bb17d","#32b57a","#20a485","#31658d","#1e9c89","#29788e","#28ae7f","#25ab81","#36b877","#26ac81","#1e998a","#1e998a","#b7dd29","#1e9d88","#22898d","#277e8e","#55c666","#1e9d88","#1e9f88","#228a8d","#2ab07e","#1fa187","#1f948b","#1fa386","#2eb27c","#1e9c89","#20918c","#30b47a","#1e9d88","#36b877","#33b679","#2eb27c","#3ebc73","#45bf6f","#55c666","#33b679","#55c666","#51c468","#32b57a","#2bb17d","#3d4a89","#26818e","#1f938b","#287a8e","#24848d","#47c06e","#69cc5b","#30678d","#2cb17d","#1e9e88","#47c06e","#3bba75","#57c665","#32b57a","#47c06e","#44be70","#42be71","#47c06e","#4dc26b","#3a528b","#1e9d88","#2f6a8d","#1e998a","#443982","#29798e","#3c4d8a","#3d4a89","#287b8e","#2bb17d","#38b976","#1fa386","#1fa386","#2c728e","#55c666","#28ae7f","#2c718e","#1fa286","#29af7f","#24aa82","#20908c","#30b47a","#6dce58","#4bc26c","#38578c","#37598c","#57c665","#1e9e88","#35b778","#33b679","#21a784","#30b47a","#2ab07e","#32b57a","#25828e","#23a883","#2ab07e","#28ae7f","#32628d","#40bd72","#3dbb74","#1fa187","#27ad80","#2fb37b","#22a784","#3dbb74","#218d8c","#365b8c","#24aa82","#26ac81","#38b976","#24868d","#1e9a89","#1e978a","#23a883","#208f8c","#267f8e","#277d8e","#1fa286","#23a883","#228b8d","#24858d","#2a758e","#38578c","#277d8e","#218d8c","#23888d","#29788e","#1f958b","#1f958b","#218e8c","#1e9f88","#2d6e8e","#1e9d88","#218e8c","#b2dd2c","#92d741","#23a883","#28ae7f","#b2dd2c","#9ad83c","#8dd644","#2fb37b","#86d449","#36b877","#a2da37","#267f8e","#33618d","#35b778","#81d34c","#77d052","#6bcd59","#b2dd2c","#dce218","#74d054","#4bc26c","#39b976","#20a585","#25ab81","#5ec961","#21a685","#6dce58","#33b679","#29798e","#30b47a","#30b47a","#5ec961","#62ca5f","#9ad83c","#79d151","#38b976","#addc30","#39b976","#79d151","#9fd938","#2b738e","#2b738e","#2e6d8e","#33608d","#1e988a","#277c8e","#22a784","#22898d","#45bf6f","#49c16d","#2e6c8e","#20918c","#8dd644","#b2dd2c","#22898d","#3bba75","#30b47a","#86d449","#cfe11c","#47c06e","#49c16d","#fde724","#49c16d","#bdde26","#cde01d","#fde724","#dae218","#70ce56","#1e988a","#1f948b","#424085","#424085","#424085","#46317e","#46317e","#46317e","#33608d","#33608d","#33608d","#33608d","#3dbb74","#79d151","#33608d","#33608d","#31658d","#31658d","#3bba75","#3bba75","#31658d","#31658d","#27ad80","#27ad80"]],["hatch_color",["#32628d","#45bf6f","#277e8e","#3dbb74","#d2e11b","#2a778e","#30678d","#345f8d","#1e9a89","#20908c","#2c718e","#2b738e","#2cb17d","#29af7f","#33b679","#1f968b","#3dbb74","#53c567","#3dbb74","#4dc26b","#49c16d","#3ebc73","#4fc369","#21a784","#29af7f","#33608d","#2a778e","#32638d","#1e9f88","#2eb27c","#2ab07e","#40bd72","#23a883","#1e9f88","#32b57a","#218e8c","#1e9c89","#21a784","#22a784","#27ad80","#20a585","#2eb27c","#4dc26b","#1ea087","#27ad80","#24aa82","#27ad80","#365b8c","#365b8c","#32b57a","#3bba75","#30678d","#38578c","#3b518a","#355d8c","#26818e","#2a778e","#39b976","#2b748e","#1f958b","#2f698d","#1e998a","#20908c","#208f8c","#21a784","#1e9e88","#20918c","#27ad80","#30b47a","#1e998a","#3ebc73","#28ae7f","#1e988a","#228a8d","#23898d","#31648d","#1f958b","#228b8d","#1e978a","#1e9a89","#1ea087","#32638d","#2f698d","#20a585","#42be71","#1f958b","#2e6d8e","#67cc5c","#287a8e","#1fa187","#28ae7f","#1e9f88","#1f948b","#2ab07e","#1f928c","#365a8c","#365a8c","#2b738e","#365b8c","#2c708e","#2a768e","#2ab07e","#2cb17d","#228b8d","#2eb27c","#2ab07e","#3dbb74","#2bb17d","#277d8e","#44be70","#2a778e","#24848d","#20918c","#2a778e","#2a758e","#1e9d88","#1e998a","#1ea087","#26ac81","#59c764","#55c666","#29798e","#62ca5f","#31668d","#2e6b8e","#355d8c","#2e6b8e","#29798e","#30688d","#24868d","#a5da35","#88d547","#20a485","#9dd93a","#bade27","#6bcd59","#8dd644","#afdc2e","#267f8e","#1fa187","#228a8d","#1e9c89","#1e9d88","#3c4e8a","#31658d","#32638d","#2f6a8d","#424085","#25838d","#3dbb74","#38b976","#2a768e","#25ab81","#42be71","#27ad80","#95d73f","#7cd24f","#28ae7f","#23a982","#3dbb74","#228a8d","#2eb27c","#2bb17d","#32b57a","#20a485","#31658d","#1e9c89","#29788e","#28ae7f","#25ab81","#36b877","#26ac81","#1e998a","#1e998a","#b7dd29","#1e9d88","#22898d","#277e8e","#55c666","#1e9d88","#1e9f88","#228a8d","#2ab07e","#1fa187","#1f948b","#1fa386","#2eb27c","#1e9c89","#20918c","#30b47a","#1e9d88","#36b877","#33b679","#2eb27c","#3ebc73","#45bf6f","#55c666","#33b679","#55c666","#51c468","#32b57a","#2bb17d","#3d4a89","#26818e","#1f938b","#287a8e","#24848d","#47c06e","#69cc5b","#30678d","#2cb17d","#1e9e88","#47c06e","#3bba75","#57c665","#32b57a","#47c06e","#44be70","#42be71","#47c06e","#4dc26b","#3a528b","#1e9d88","#2f6a8d","#1e998a","#443982","#29798e","#3c4d8a","#3d4a89","#287b8e","#2bb17d","#38b976","#1fa386","#1fa386","#2c728e","#55c666","#28ae7f","#2c718e","#1fa286","#29af7f","#24aa82","#20908c","#30b47a","#6dce58","#4bc26c","#38578c","#37598c","#57c665","#1e9e88","#35b778","#33b679","#21a784","#30b47a","#2ab07e","#32b57a","#25828e","#23a883","#2ab07e","#28ae7f","#32628d","#40bd72","#3dbb74","#1fa187","#27ad80","#2fb37b","#22a784","#3dbb74","#218d8c","#365b8c","#24aa82","#26ac81","#38b976","#24868d","#1e9a89","#1e978a","#23a883","#208f8c","#267f8e","#277d8e","#1fa286","#23a883","#228b8d","#24858d","#2a758e","#38578c","#277d8e","#218d8c","#23888d","#29788e","#1f958b","#1f958b","#218e8c","#1e9f88","#2d6e8e","#1e9d88","#218e8c","#b2dd2c","#92d741","#23a883","#28ae7f","#b2dd2c","#9ad83c","#8dd644","#2fb37b","#86d449","#36b877","#a2da37","#267f8e","#33618d","#35b778","#81d34c","#77d052","#6bcd59","#b2dd2c","#dce218","#74d054","#4bc26c","#39b976","#20a585","#25ab81","#5ec961","#21a685","#6dce58","#33b679","#29798e","#30b47a","#30b47a","#5ec961","#62ca5f","#9ad83c","#79d151","#38b976","#addc30","#39b976","#79d151","#9fd938","#2b738e","#2b738e","#2e6d8e","#33608d","#1e988a","#277c8e","#22a784","#22898d","#45bf6f","#49c16d","#2e6c8e","#20918c","#8dd644","#b2dd2c","#22898d","#3bba75","#30b47a","#86d449","#cfe11c","#47c06e","#49c16d","#fde724","#49c16d","#bdde26","#cde01d","#fde724","#dae218","#70ce56","#1e988a","#1f948b","#424085","#424085","#424085","#46317e","#46317e","#46317e","#33608d","#33608d","#33608d","#33608d","#3dbb74","#79d151","#33608d","#33608d","#31658d","#31658d","#3bba75","#3bba75","#31658d","#31658d","#27ad80","#27ad80"]],["fill_color",["#32628d","#45bf6f","#277e8e","#3dbb74","#d2e11b","#2a778e","#30678d","#345f8d","#1e9a89","#20908c","#2c718e","#2b738e","#2cb17d","#29af7f","#33b679","#1f968b","#3dbb74","#53c567","#3dbb74","#4dc26b","#49c16d","#3ebc73","#4fc369","#21a784","#29af7f","#33608d","#2a778e","#32638d","#1e9f88","#2eb27c","#2ab07e","#40bd72","#23a883","#1e9f88","#32b57a","#218e8c","#1e9c89","#21a784","#22a784","#27ad80","#20a585","#2eb27c","#4dc26b","#1ea087","#27ad80","#24aa82","#27ad80","#365b8c","#365b8c","#32b57a","#3bba75","#30678d","#38578c","#3b518a","#355d8c","#26818e","#2a778e","#39b976","#2b748e","#1f958b","#2f698d","#1e998a","#20908c","#208f8c","#21a784","#1e9e88","#20918c","#27ad80","#30b47a","#1e998a","#3ebc73","#28ae7f","#1e988a","#228a8d","#23898d","#31648d","#1f958b","#228b8d","#1e978a","#1e9a89","#1ea087","#32638d","#2f698d","#20a585","#42be71","#1f958b","#2e6d8e","#67cc5c","#287a8e","#1fa187","#28ae7f","#1e9f88","#1f948b","#2ab07e","#1f928c","#365a8c","#365a8c","#2b738e","#365b8c","#2c708e","#2a768e","#2ab07e","#2cb17d","#228b8d","#2eb27c","#2ab07e","#3dbb74","#2bb17d","#277d8e","#44be70","#2a778e","#24848d","#20918c","#2a778e","#2a758e","#1e9d88","#1e998a","#1ea087","#26ac81","#59c764","#55c666","#29798e","#62ca5f","#31668d","#2e6b8e","#355d8c","#2e6b8e","#29798e","#30688d","#24868d","#a5da35","#88d547","#20a485","#9dd93a","#bade27","#6bcd59","#8dd644","#afdc2e","#267f8e","#1fa187","#228a8d","#1e9c89","#1e9d88","#3c4e8a","#31658d","#32638d","#2f6a8d","#424085","#25838d","#3dbb74","#38b976","#2a768e","#25ab81","#42be71","#27ad80","#95d73f","#7cd24f","#28ae7f","#23a982","#3dbb74","#228a8d","#2eb27c","#2bb17d","#32b57a","#20a485","#31658d","#1e9c89","#29788e","#28ae7f","#25ab81","#36b877","#26ac81","#1e998a","#1e998a","#b7dd29","#1e9d88","#22898d","#277e8e","#55c666","#1e9d88","#1e9f88","#228a8d","#2ab07e","#1fa187","#1f948b","#1fa386","#2eb27c","#1e9c89","#20918c","#30b47a","#1e9d88","#36b877","#33b679","#2eb27c","#3ebc73","#45bf6f","#55c666","#33b679","#55c666","#51c468","#32b57a","#2bb17d","#3d4a89","#26818e","#1f938b","#287a8e","#24848d","#47c06e","#69cc5b","#30678d","#2cb17d","#1e9e88","#47c06e","#3bba75","#57c665","#32b57a","#47c06e","#44be70","#42be71","#47c06e","#4dc26b","#3a528b","#1e9d88","#2f6a8d","#1e998a","#443982","#29798e","#3c4d8a","#3d4a89","#287b8e","#2bb17d","#38b976","#1fa386","#1fa386","#2c728e","#55c666","#28ae7f","#2c718e","#1fa286","#29af7f","#24aa82","#20908c","#30b47a","#6dce58","#4bc26c","#38578c","#37598c","#57c665","#1e9e88","#35b778","#33b679","#21a784","#30b47a","#2ab07e","#32b57a","#25828e","#23a883","#2ab07e","#28ae7f","#32628d","#40bd72","#3dbb74","#1fa187","#27ad80","#2fb37b","#22a784","#3dbb74","#218d8c","#365b8c","#24aa82","#26ac81","#38b976","#24868d","#1e9a89","#1e978a","#23a883","#208f8c","#267f8e","#277d8e","#1fa286","#23a883","#228b8d","#24858d","#2a758e","#38578c","#277d8e","#218d8c","#23888d","#29788e","#1f958b","#1f958b","#218e8c","#1e9f88","#2d6e8e","#1e9d88","#218e8c","#b2dd2c","#92d741","#23a883","#28ae7f","#b2dd2c","#9ad83c","#8dd644","#2fb37b","#86d449","#36b877","#a2da37","#267f8e","#33618d","#35b778","#81d34c","#77d052","#6bcd59","#b2dd2c","#dce218","#74d054","#4bc26c","#39b976","#20a585","#25ab81","#5ec961","#21a685","#6dce58","#33b679","#29798e","#30b47a","#30b47a","#5ec961","#62ca5f","#9ad83c","#79d151","#38b976","#addc30","#39b976","#79d151","#9fd938","#2b738e","#2b738e","#2e6d8e","#33608d","#1e988a","#277c8e","#22a784","#22898d","#45bf6f","#49c16d","#2e6c8e","#20918c","#8dd644","#b2dd2c","#22898d","#3bba75","#30b47a","#86d449","#cfe11c","#47c06e","#49c16d","#fde724","#49c16d","#bdde26","#cde01d","#fde724","#dae218","#70ce56","#1e988a","#1f948b","#424085","#424085","#424085","#46317e","#46317e","#46317e","#33608d","#33608d","#33608d","#33608d","#3dbb74","#79d151","#33608d","#33608d","#31658d","#31658d","#3bba75","#3bba75","#31658d","#31658d","#27ad80","#27ad80"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1081","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1082"}}},"glyph":{"type":"object","name":"Circle","id":"p1077","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"fill_color":{"type":"field","field":"fill_color"},"hatch_color":{"type":"field","field":"hatch_color"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p1078","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p1079","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p1089","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1083","attributes":{"selected":{"type":"object","name":"Selection","id":"p1084","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1085"},"data":{"type":"map","entries":[["x",[-246422.4,-249114.17,-247541.51,-247033.12,-247570.01,-246845.71,-246160.35]],["y",[148459.51,149950.9,149418.76,149124.18,150863.14,148674.23,150738.12]],["line_color",["#460e61","#460e61","#460b5e","#460b5e","#46095c","#460c5f","#46095c"]],["hatch_color",["#460e61","#460e61","#460b5e","#460b5e","#46095c","#460c5f","#46095c"]],["fill_color",["#460e61","#460e61","#460b5e","#460b5e","#46095c","#460c5f","#46095c"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1090","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1091"}}},"glyph":{"type":"object","name":"Scatter","id":"p1086","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"fill_color":{"type":"field","field":"fill_color"},"hatch_color":{"type":"field","field":"hatch_color"},"marker":{"type":"value","value":"square"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p1087","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"square"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p1088","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"square"}}}}},{"type":"object","name":"GlyphRenderer","id":"p1098","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1092","attributes":{"selected":{"type":"object","name":"Selection","id":"p1093","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1094"},"data":{"type":"map","entries":[["x",[-245840.56]],["y",[147793.83]],["line_color",["#440154"]],["hatch_color",["#440154"]],["fill_color",["#440154"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1099","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1100"}}},"glyph":{"type":"object","name":"Scatter","id":"p1095","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"angle":{"type":"value","value":0.7853981633974483},"line_color":{"type":"field","field":"line_color"},"fill_color":{"type":"field","field":"fill_color"},"hatch_color":{"type":"field","field":"hatch_color"},"marker":{"type":"value","value":"square"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p1096","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"angle":{"type":"value","value":0.7853981633974483},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"square"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p1097","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":8.0},"angle":{"type":"value","value":0.7853981633974483},"line_color":{"type":"field","field":"line_color"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"field","field":"fill_color"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"field","field":"hatch_color"},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"square"}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1009","attributes":{"tools":[{"type":"object","name":"PanTool","id":"p1022"},{"type":"object","name":"WheelZoomTool","id":"p1023"},{"type":"object","name":"BoxZoomTool","id":"p1024","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p1025","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"SaveTool","id":"p1026"},{"type":"object","name":"ResetTool","id":"p1027"},{"type":"object","name":"HelpTool","id":"p1028"}]}},"left":[{"type":"object","name":"LinearAxis","id":"p1017","attributes":{"visible":false,"ticker":{"type":"object","name":"BasicTicker","id":"p1018","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1019"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p1020"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p1012","attributes":{"visible":false,"ticker":{"type":"object","name":"BasicTicker","id":"p1013","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1014"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p1015"}}}],"center":[{"type":"object","name":"Grid","id":"p1016","attributes":{"axis":{"id":"p1012"}}},{"type":"object","name":"Grid","id":"p1021","attributes":{"dimension":1,"axis":{"id":"p1017"}}}]}}]}}';
                  const render_items = [{"docid":"6effb3fe-7f7f-4cf4-ab72-bc0c9a0d70e2","roots":{"p1001":"e227bf61-cfb1-4cc4-9982-924ebe2b9d16"},"root_ids":["p1001"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();